SuSe 10.1 und Zeit

  • Hallo,


    also ich benutze SuSe 10.1 und Audacity 1.2.4b. Letzteres habe ich als rpm-Paket üer eine Link von der deutschen Audacity-Homepage bei Packman geholt. Installation hat auch funktioniert. Ich finde es aber seltsam, das fast alle Funktionen wie "Exportieren als WAV" und so zwar funktionieren, aber grau sind, so dass mensch sie kaum erkennen kann. Ein viel größeres Problem ist aber, dass die Zeitangaben, der Cursor und die anscheinend "tatsächliche" Zeit sich unterscheiden. So befindet mensch sich ständig an einer (nach mehreren Versuchen immerhin nur noch minimal) anderen Stelle der Aufnahme und das exportierte Ergebnis unterscheidet sich dann auch nochma leicht. Woran könnte das liegen und wie bekomme ich es weg?

  • Hallo,


    leider hab ich von alledem wenig Ahnung. Also, ich hab nach irgendeiner Anleitung hier im Forum mal versucht das cvs-mäßig herunterzuladen. Leider macht mein PC aber beim kompilieren nicht mit. ./configure wird abgebrochen mit "checking for C compiler default output file name... configure: error: C compiler cannot create ex ecutables" In config.log wird folgendes ausgegeben:
    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.


    It was created by configure, which was
    generated by GNU Autoconf 2.59. Invocation command line was


    $ ./configure


    ## --------- ##
    ## Platform. ##
    ## --------- ##


    hostname = .....
    uname -m = i686
    uname -r = 2.6.16.13-4-default
    uname -s = Linux
    uname -v = #1 Wed May 3 04:53:23 UTC 2006


    /usr/bin/uname -p = unknown
    /bin/uname -X = unknown


    /bin/arch = i686
    /usr/bin/arch -k = unknown
    /usr/convex/getsysinfo = unknown
    hostinfo = unknown
    /bin/machine = unknown
    /usr/bin/oslevel = unknown
    /bin/universe = unknown


    PATH: /usr/local/mysql/bin
    PATH: /usr/local/bin
    PATH: /usr/bin
    PATH: /sbin
    PATH: /usr/X11R6/bin
    PATH: /usr/sbin
    PATH: /bin
    PATH: /usr/games
    PATH: /opt/gnome/bin
    PATH: /opt/kde3/bin
    PATH: /usr/lib/jvm/jre/bin
    PATH: /usr/lib/mit/bin
    PATH: /usr/lib/mit/sbin
    PATH: /usr/lib/qt3/bin



    ## ----------- ##
    ## Core tests. ##
    ## ----------- ##


    configure:1396: checking for gcc
    configure:1412: found /usr/local/bin/gcc
    configure:1422: result: gcc
    configure:1666: checking for C compiler version
    configure:1669: gcc --version </dev/null >&5
    gcc (GCC) 4.1.0 (SUSE Linux)
    Copyright (C) 2006 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


    configure:1672: $? = 0
    configure:1674: gcc -v </dev/null >&5
    Using built-in specs.
    Target: i586-suse-linux
    Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib --libexecdir=/usr/lib --enable-languages=c,c++,objc,fortran,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.1.0 --enable-ssp --disable-libssp --enable-java-awt=gtk --enable-gtk-cairo --disable-libjava-multilib --with-slibdir=/lib --with-system-zlib --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new --without-system-libunwind --with-cpu=generic --host=i586-suse-linux
    Thread model: posix
    gcc version 4.1.0 (SUSE Linux)
    configure:1677: $? = 0
    configure:1679: gcc -V </dev/null >&5
    gcc: '-V' option must have argument
    configure:1682: $? = 1
    configure:1705: checking for C compiler default output file name
    configure:1708: gcc conftest.c >&5
    /usr/lib/gcc/i586-suse-linux/4.1.0/../../../../i586-suse-linux/bin/ld: errno@@GLIBC_PRIVATE: TLS definition in /lib/libc.so.6 section .tbss mismatches non-TLS definition in /usr/i486-linux-libc5/lib/ld-linux.so.2 section .bss
    /usr/i486-linux-libc5/lib/ld-linux.so.2: could not read symbols: Bad value
    collect2: ld returned 1 exit status
    configure:1711: $? = 1
    configure: failed program was:
    | /* confdefs.h. */
    |
    | #define PACKAGE_NAME ""
    | #define PACKAGE_TARNAME ""
    | #define PACKAGE_VERSION ""
    | #define PACKAGE_STRING ""
    | #define PACKAGE_BUGREPORT ""
    | /* end confdefs.h. */
    |
    | int
    | main ()
    | {
    |
    | ;
    | return 0;
    | }
    configure:1750: error: C compiler cannot create executables
    See `config.log' for more details.


    ## ---------------- ##
    ## Cache variables. ##
    ## ---------------- ##


    ac_cv_env_CC_set=
    ac_cv_env_CC_value=
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CPP_set=
    ac_cv_env_CPP_value=
    ac_cv_env_CXXCPP_set=
    ac_cv_env_CXXCPP_value=
    ac_cv_env_CXXFLAGS_set=
    ac_cv_env_CXXFLAGS_value=
    ac_cv_env_CXX_set=
    ac_cv_env_CXX_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_prog_ac_ct_CC=gcc


    ## ----------------- ##
    ## Output variables. ##
    ## ----------------- ##


    AFTERBUILD=''
    AUDACITY_NAME=''
    BUILDLIBS=''
    CC='gcc'
    CDEPEND=''
    CFLAGS=''
    CONFIGHEADER=''
    CPP=''
    CPPFLAGS=''
    CXX=''
    CXXCPP=''
    CXXFLAGS=''
    DEFS=''
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP=''
    EXEEXT=''
    EXTRAINSTALLTARGETS=''
    EXTRAOBJS=''
    EXTRATARGETS=''
    EXTRAUNINSTALLTARGETS=''
    INSTALL_DATA=''
    INSTALL_PREFIX=''
    INSTALL_PROGRAM=''
    INSTALL_SCRIPT=''
    JACK_CFLAGS=''
    JACK_LIBS=''
    LDFLAGS=''
    LIBOBJS=''
    LIBS=''
    LOCAL_LIBS=''
    LTLIBOBJS=''
    OBJEXT=''
    OPTOBJS=''
    PACKAGE_BUGREPORT=''
    PACKAGE_NAME=''
    PACKAGE_STRING=''
    PACKAGE_TARNAME=''
    PACKAGE_VERSION=''
    PATH_SEPARATOR=':'
    PKG_CONFIG=''
    PRECOMP_CFLAGS=''
    SAMPLERATE_CFLAGS=''
    SAMPLERATE_LIBS=''
    SHELL='/bin/sh'
    SNDFILE_CFLAGS=''
    SNDFILE_LIBS=''
    WX_CONFIG=''
    ZIP=''
    ac_ct_CC='gcc'
    ac_ct_CXX=''
    bindir='${exec_prefix}/bin'
    build=''
    build_alias=''
    build_cpu=''
    build_os=''
    build_vendor=''
    datadir='${prefix}/share'
    exec_prefix='NONE'
    host=''
    host_alias=''
    host_cpu=''
    host_os=''
    host_vendor=''
    includedir='${prefix}/include'
    infodir='${prefix}/info'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localstatedir='${prefix}/var'
    mandir='${prefix}/man'
    oldincludedir='/usr/include'
    prefix='NONE'
    program_transform_name='s,x,x,'
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    subdirs=''
    sysconfdir='${prefix}/etc'
    target_alias=''


    ## ----------- ##
    ## confdefs.h. ##
    ## ----------- ##


    #define PACKAGE_BUGREPORT ""
    #define PACKAGE_NAME ""
    #define PACKAGE_STRING ""
    #define PACKAGE_TARNAME ""
    #define PACKAGE_VERSION ""


    configure: exit 77

  • Das sieht sehr seltsam aus. Das ./configure sagt, Du hast einen C-Compiler installiert, aber irgendetwas ist mit Deiner Linker-Konfiguration nicht in Ordnung. Die relevante Fehlermeldung ist die hier:


    Quote


    /usr/lib/gcc/i586-suse-linux/4.1.0/../../../../i586-suse-linux/bin/ld: errno@@GLIBC_PRIVATE: TLS definition in /lib/libc.so.6 section .tbss mismatches non-TLS definition in /usr/i486-linux-libc5/lib/ld-linux.so.2 section .bss


    Das ist nicht einfach so eine "da fehlt ein Paket" Fehlermeldung, sondern was ganz Seltsames. Selbst Google spuckt nichts aus bei der Fehlermeldung. Mit der Konfiguration wird's wohl beim Kompilieren jedes Programmes Probleme geben.


    Sorry, dass ich Dir nicht weiterhelfen kann.


    Gruß
    Markus

  • Nach Fragen bei anderen Leuten habe ich nun das veraltete Paket shlibs5 deinstalliert und nun klappt das mit ./configure auch wunderbar. Bei "make" kommt aber nun folgende Fehlermeldung:
    "(...)
    gcc -g -O2 -std=gnu99 -W -Wall -Wdeclaration-after-statement -Wstrict-prototypes -Wmissing-prototypes -Waggregate-return -Wcast-align -Wcast-qual -Wnested-externs -Wshadow -Wbad-function-cast -Wwrite-strings -pipe -o .libs/sndfile-regtest sndfile-regtest.o database.o checksum.o ../src/.libs/libsndfile.so -lm
    database.o: In function `check_file_by_ekey':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:349: undefined reference to `sqlite3_get_table'
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:401: undefined reference to `sqlite3_free_table'
    database.o: In function `db_check_all':
    .../Download/CVS/audacity/lib-src/libsndfile/regtest/database.c:237: undefined reference to `sqlite3_exec'
    database.o: In function `get_filename_pathname_by_ekey':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:317: undefined reference to `sqlite3_free_table'
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:302: undefined reference to `sqlite3_get_table'
    database.o: In function `db_file_exists':
    /home/bertold/Download/CVS/audacity/lib-src/libsndfile/regtest/database.c:148: undefined reference to `sqlite3_exec'
    database.o: In function `get_ekey_from_filename':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:277: undefined reference to `sqlite3_get_table'
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:290: undefined reference to `sqlite3_free_table'
    database.o: In function `db_add_file':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:196: undefined reference to `sqlite3_exec'
    database.o: In function `db_close':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:124: undefined reference to `sqlite3_close'
    database.o: In function `db_open':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:78: undefined reference to `sqlite3_open'
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:79: undefined reference to `sqlite3_errmsg'
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:80: undefined reference to `sqlite3_close'
    database.o: In function `db_create':
    .../CVS/audacity/lib-src/libsndfile/regtest/database.c:108: undefined reference to `sqlite3_exec'
    ...CVS/audacity/lib-src/libsndfile/regtest/database.c:112: undefined reference to `sqlite3_close'
    collect2: ld returned 1 exit status
    make[3]: *** [sndfile-regtest] Fehler 1
    make[3]: Leaving directory `/home/bertold/Download/CVS/audacity/lib-src/libsndfile/regtest'
    make[2]: *** [all-recursive] Fehler 1
    make[2]: Leaving directory `/home/bertold/Download/CVS/audacity/lib-src/libsndfile'
    make[1]: *** [libsndfile-recursive] Fehler 2
    make[1]: Leaving directory `/home/bertold/Download/CVS/audacity/lib-src'
    make: *** [audacity] Fehler 2"


    Was könnte das bedeuten?

  • Danke, hat funktioniert, leider spuckt jetzt make aber eine andere Fehlermeldung aus:
    "(...)
    export/ExportFLAC.cpp: In function ‘bool ExportFLAC(AudacityProject*, int, wxString, bool, double, double, MixerSpec*)’:
    export/ExportFLAC.cpp:49: warning: unused variable ‘parent’
    make[1]: *** [export/ExportFLAC.o] Fehler 1
    make[1]: Leaving directory `.../audacity/src'
    make: *** [audacity] Fehler 2"

  • Hmm, also ich hab jetzt mit cvs -d:pserver:anonymous@audacity.cvs.sourceforge.net:/cvsroot/audacity checkout audacity runtergeladen. Wenn ich nun aber ./configure eingebe, dann kommt folgende Fehlermeldung:
    "...
    checking for wx-config... /usr/bin/wx-config
    configure: Checking that the installed version of wxWidgets is 2.4.x


    Warning: No config found to match: /usr/bin/wx-config --version=2.4 --release
    in /usr/lib/wx/config
    If you require this configuration, please install the desired
    library build. If this is part of an automated configuration
    test and no other errors occur, you may safely ignore it.
    You may use wx-config --list to see all configs available in
    the default prefix.


    configure: error: Unable to locate a suitable configuration of wxWidgets v2.4.x.
    The currently available configurations are listed below. If necessary, either
    install the package for your distribution or download the 2.4.x version of
    wxWidgets from http://wxwidgets.org.
    To help configure find the right version set WX_CONFIG to point to it.
    wxWidgets 2.5.x and 2.6.x are NOT supported!"


    Auf meinem Computer ist wxGTK-compat 2.6.2.1-20-i586

  • ja, da habe ich aus Versehen das Falsche kompiliert. Ich habe es nochmal probiert und nun hat alles geklappt. Die Installation ist perfekt und alles funktioniert. Aber irgendwie ist bei den Kategorien "Effekt" und "Analyse" die Einträge immer noch fast unsichtbar. Aber das ist eine Bagatelle. Danke nochmal für die Mühe und Geduld. Da ich das aber noch bei einem anderen Rechner mache, muss ich evtl. nochmal was nachfragen.

  • Naja, vielleicht ist es ja gewollt, da es unterschiedlich ist, je nachdem, ob mensch alles markiert hat oder nur einen Teil. Ich kenne das Programm noch nicht so gut. Aber warum kann mensch es dann anklicken?

  • Hmm, gute Frage, ich kann das nämlich nicht mehr reproduzieren, auf einmal funktioniert alles einwandfrei, selbst mit derselben Datei.... Sehr mysteriös... Ich glaube, es war bei Analyse wenn mensch einen Teil markiert hat und bei Effekt, wenn das Ganze markiert wurde. Und mensch konnte draufklicken und es passierte etwas.